package com.test.consumer.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;


@FeignClient("splservice")
public interface SplFeignClient {
	@RequestMapping("/splservice/spl/execute/hsqltest")
	public byte[] queryFromHsql();
	
	@RequestMapping("/splservice/spl/execute/mysqltest")
	public byte[] queryFromMysql();
}
