package com.test.listener;


import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import com.scudata.common.SpringDBSessionFactory;

@Component
public class AppInitListener implements ApplicationRunner {
	
	@Override
	public void run(ApplicationArguments args) throws Exception { 
		SpringDBSessionFactory.create("spring_ds_hsql", com.scudata.common.DBTypes.HSQL);
		SpringDBSessionFactory.create("spring_ds_Mysql", com.scudata.common.DBTypes.MYSQL);
	}
	
}
